/*******************************************************************************
 * FoxWeaponAttachment_SNDBombBase generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxWeaponAttachment_SNDBombBase extends FoxWeaponAttachment
    config(Weapon)
    notplaceable
    hidecategories(Navigation);

simulated function AttachWeaponTo(SkeletalMeshComponent MeshCpnt, optional name SocketName)
{
    local FoxPawn FP;

    FP = FoxPawn(Instigator);
    // End:0xD7
    if(((FP != none) && FP.CarriedObject != none) && FP.CarriedObject.ObjectMesh != none)
    {
        FP.CarriedObject.ObjectMesh.SetHidden(true);
    }
    super.AttachWeaponTo(MeshCpnt, SocketName);
    //return;    
}

simulated function bool IsMuzzleFlashRelevant()
{
    return false;
    //return ReturnValue;    
}

simulated function DetachWeapon()
{
    local FoxPawn FP;

    FP = FoxPawn(Instigator);
    // End:0xD6
    if(((FP != none) && FP.CarriedObject != none) && FP.CarriedObject.ObjectMesh != none)
    {
        FP.CarriedObject.ObjectMesh.SetHidden(false);
    }
    super.DetachWeapon();
    //return;    
}

defaultproperties
{
    begin object name=AttachmentMesh class=SkeletalMeshComponent
        ReplacementPrimitive=none
    object end
    // Reference: SkeletalMeshComponent'Default__FoxWeaponAttachment_SNDBombBase.AttachmentMesh'
    Mesh=AttachmentMesh
    bAutomaticWeapon=true
    MuzzleFlashLight=PointLightComponent'Default__FoxWeaponAttachment_SNDBombBase.LightComponent0'
    begin object name=LensComp class=LensFlareComponent
        NextTraceTime=-0.73052160
        ReplacementPrimitive=none
    object end
    // Reference: LensFlareComponent'Default__FoxWeaponAttachment_SNDBombBase.LensComp'
    MuzzleLensFlare=LensComp
    AN_NormalFire=(TP_Anim=(AnimName=(None,None,Arm_Loop_A)),FP_Anim=Arm_Loop_A,WP_Anim=Arm_Loop_A)
    begin object name=AttachmentMesh class=SkeletalMeshComponent
        ReplacementPrimitive=none
    object end
    // Reference: SkeletalMeshComponent'Default__FoxWeaponAttachment_SNDBombBase.AttachmentMesh'
    Components(0)=AttachmentMesh
}